> For the complete documentation index, see [llms.txt](https://docs.apono.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apono.io/docs/kubernetes-environment/apono-connector-for-kubernetes/updating-a-kubernetes-connector.md).

# Updating a Kubernetes connector

Learn how to update a connector through the Helm CLI

Periodically, you may need to update your Kubernetes connector to help maintain functionality, performance, and security.

This article explains how to update a connector through the Helm CLI.

***

### Prerequisites

<table><thead><tr><th width="370">Item</th><th>Description</th></tr></thead><tbody><tr><td><strong>Cluster admin access</strong></td><td>Cluster admin access to the cluster to integrate<br><br>The cluster admin access can be the built-in <a href="https://kubernetes.io/docs/reference/access-authn-authz/rbac/#user-facing-roles">cluster-admin</a> role or equivalent permission level.</td></tr><tr><td><strong>Helm Command Line Interface (Helm CLI)</strong></td><td><a href="https://helm.sh/docs/intro/install/">Command-line interface</a> used to manage Kubernetes applications</td></tr></tbody></table>

***

### Update a connector

Use the following steps to update an Apono connector for Kubernetes:

1. In the shell environment, set the variables for the Apono token and connector name.

```shellscript
export APONO_TOKEN="<APONO_TOKEN>"
export APONO_CONNECTOR_NAME="<APONO_CONNECTOR_NAME>"
```

2. Run the following `helm upgrade` command to pull the most recent connector version.

{% code overflow="wrap" %}

```shell
helm upgrade apono-connector apono-connector --repo https://apono-io.github.io/apono-helm-charts \
    --set-string "apono.token=${APONO_TOKEN}" \
    --set-string "apono.connectorId=${APONO_CONNECTOR_NAME}" \
    --set "serviceAccount.manageClusterRoles=true" \
    --namespace apono-connector \
    --create-namespace
```

{% endcode %}

| Parameter                                      | Description                                                                                                                                                                                                                                                           |
| ---------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **apono.connectorId** string                   | ID for the connector                                                                                                                                                                                                                                                  |
| **apono.token** string                         | Token value obtained from the Apono UI                                                                                                                                                                                                                                |
| **serviceAccount.managerClusterRoles** boolean | <p>Configures whether the connector also manages access to the cluster on which it is deployed<br><br>The value of <code>serviceAccount.manageClusterRoles</code> should be based on whether the installation has been set up to manage the cluster roles or not.</p> |

3. On the [**Connectors**](https://app.apono.io/connectors) page, verify that the connector has been updated.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apono.io/docs/kubernetes-environment/apono-connector-for-kubernetes/updating-a-kubernetes-connector.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
